package it.mice.voila.runtime.oawtemplate.test.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;

public class Model implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1013650082424125311L;

	private String field1 = null;
	private String field2 = null;
	private Collection<Element> elements = new ArrayList<Element>();
	/**
	 * @return the field1
	 */
	public String getField1() {
		return field1;
	}
	/**
	 * @param field1 the field1 to set
	 */
	public void setField1(String field1) {
		this.field1 = field1;
	}
	/**
	 * @return the field2
	 */
	public String getField2() {
		return field2;
	}
	/**
	 * @param field2 the field2 to set
	 */
	public void setField2(String field2) {
		this.field2 = field2;
	}
	/**
	 * @return the elements
	 */
	public Collection<Element> getElements() {
		return elements;
	}
	/**
	 * @param elements the elements to set
	 */
	public void setElements(Collection<Element> elements) {
		this.elements = elements;
	}

	public void addElement(Element el) {
		getElements().add(el);
	}
}
